# Update business representative (beta)

Update or transfer the Business Representative for the specified Business Profile.

{% admonition type="warning" %}
This endpoint will soon be deprecated, please use the /v2 endpoints instead.
{% /admonition %}

Set updateContext to UPDATE_DETAILS to update the existing Business Representative's details, or TRANSFER_OF_AUTHORISATION to transfer authority of the Business Profile to a new Business Representative.

{% admonition type="info" %}
If the Business Representative has been verified then there are restrictions on what information is allowed to change.
{% /admonition %}

{% admonition type="info" %}
If this Business Representative is shared across multiple Business Profiles, then changes will be reflected for all of the Business Profiles.
{% /admonition %}

When using TRANSFER_OF_AUTHORISATION, this will overwrite the existing Business Representative. The new Business Representative will need to be verified for KYC purposes.

Endpoint: PUT /v3/profiles/{profileId}/business-profile/business-representative
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    Business profile ID.

## Request fields (application/json):

  - `updateContext` (string)
    Context of the update.
    Enum: "UPDATE_DETAILS", "TRANSFER_OF_AUTHORISATION"

  - `firstName` (string)
    First name of the person representing the business (including middle names).
    Example: "Oliver"

  - `lastName` (string)
    Last name of the person representing the business.
    Example: "Wilson"

  - `preferredName` (string)
    Preferred first name, if different to the legal first name.
    Example: "Olivia"

  - `address` (object)

  - `address.addressFirstLine` (string)
    First line of address.
    Example: "50 Sunflower Ave"

  - `address.city` (string)
    City.
    Example: "Phoenix"

  - `address.countryIso3Code` (string)
    3 Letter country code (lower case).
    Example: "usa"

  - `address.postCode` (string)
    Postal code.
    Example: "10025"

  - `address.stateCode` (string)
    State code (max 5 chars). Required for US, CA, BR and AU addresses.
    Example: "AZ"

  - `contactDetails` (object)

  - `contactDetails.email` (string)
    Contact email address of the person representing the business. Please speak with your integration account manager for details on how customer communication is handled for your integration.
    Example: "o.wilson@example.com"

  - `contactDetails.phoneNumber` (string)
    Contact phone number in international phone number format, example "+1408XXXXXXX" of the person representing the business. Please speak with your integration account manager for details on how customer communication is handled for your integration.
    Example: "+3725064992"

  - `dateOfBirth` (string)
    Date of birth.
    Example: "1977-07-01"

  - `actorEmail` (string)
    Email of the actor.
    Example: "biz-acct@abcl.com"


## Response 200 fields
